import * as React from 'react';
import { TableBodyProps, IRowData, IExtraRowData, TableBody } from '@patternfly/react-table';
import { TableEditConfirmation } from '../../utils';
import { IEditedCellData } from '../InlineEdit/editableTableBody';
export interface EditConfig {
    editConfirmationType?: typeof TableEditConfirmation | keyof typeof TableEditConfirmation;
    onEditCellClicked?: (value: React.MouseEvent, row: IRowData, extra: IEditedCellData) => void;
    onEditConfirmed?: (value: React.MouseEvent, row: IRowData, rowProps: IExtraRowData) => void;
    onEditCanceled?: (value: React.MouseEvent, row: IRowData, rowProps: IExtraRowData) => void;
}
export interface InlineEditBodyProps extends TableBodyProps {
    editConfig: EditConfig;
}
export interface BodyProps extends TableBodyProps {
    BodyComponent: typeof TableBody;
    editConfig: EditConfig;
}
export declare const Body: ({ BodyComponent, rows, editConfig, onRowClick, ...props }: BodyProps) => JSX.Element;
//# sourceMappingURL=Body.d.ts.map