import * as React from 'react';
import { RowWrapper, RowWrapperRow } from '@patternfly/react-table';
import { WindowDimensions, ClientBoundingRect } from '../../utils/utils';
import { EditConfig } from '../Body';
import '@patternfly/react-styles/css/components/Table/inline-edit.css';
export interface EditableRowWrapperRow extends RowWrapperRow {
    isEditing?: boolean;
    isTableEditing?: boolean;
    isFirstVisible?: boolean;
    isLastVisible?: boolean;
    isChildEditing?: boolean;
    isParentEditing?: boolean;
    isLastVisibleParent?: boolean;
    editConfig?: EditConfig;
}
export interface EditableRowWrapperProps extends RowWrapper {
    className?: string;
    row: EditableRowWrapperRow;
    trRef: (instance: any) => void;
    onScroll: (event: React.UIEvent<Element>) => void;
    onResize: (event: React.UIEvent<Element>) => void;
    rowProps: {
        rowIndex: number;
        rowKey: string;
    };
}
interface EditableRowWrapperState {
    hasConfirmationButtons?: boolean;
    window?: WindowDimensions;
    rowDimensions?: ClientBoundingRect;
}
export declare const editableRowWrapper: (RowWrapperComponent: typeof RowWrapper) => {
    new (props: EditableRowWrapperProps | Readonly<EditableRowWrapperProps>): {
        state: {
            hasConfirmationButtons: boolean;
            window: WindowDimensions;
            rowDimensions: ClientBoundingRect;
        };
        element: React.RefObject<HTMLTableRowElement>;
        tableElem: HTMLElement;
        setStateWith2dEquals: (newState: EditableRowWrapperState) => void;
        componentDidMount(): void;
        updateRowDimensions: () => void;
        handleScroll: () => void;
        handleResize: () => void;
        fetchClientDimensions(): void;
        getConfirmationButtons(): React.ReactPortal;
        render(): JSX.Element;
        context: unknown;
        setState<K extends keyof EditableRowWrapperState>(state: EditableRowWrapperState | ((prevState: Readonly<EditableRowWrapperState>, props: Readonly<EditableRowWrapperProps>) => EditableRowWrapperState | Pick<EditableRowWrapperState, K>) | Pick<EditableRowWrapperState, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<EditableRowWrapperProps>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<EditableRowWrapperProps>, nextState: Readonly<EditableRowWrapperState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<EditableRowWrapperProps>, prevState: Readonly<EditableRowWrapperState>): any;
        componentDidUpdate?(prevProps: Readonly<EditableRowWrapperProps>, prevState: Readonly<EditableRowWrapperState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<EditableRowWrapperProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<EditableRowWrapperProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<EditableRowWrapperProps>, nextState: Readonly<EditableRowWrapperState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<EditableRowWrapperProps>, nextState: Readonly<EditableRowWrapperState>, nextContext: any): void;
    };
    new (props: EditableRowWrapperProps, context: any): {
        state: {
            hasConfirmationButtons: boolean;
            window: WindowDimensions;
            rowDimensions: ClientBoundingRect;
        };
        element: React.RefObject<HTMLTableRowElement>;
        tableElem: HTMLElement;
        setStateWith2dEquals: (newState: EditableRowWrapperState) => void;
        componentDidMount(): void;
        updateRowDimensions: () => void;
        handleScroll: () => void;
        handleResize: () => void;
        fetchClientDimensions(): void;
        getConfirmationButtons(): React.ReactPortal;
        render(): JSX.Element;
        context: unknown;
        setState<K extends keyof EditableRowWrapperState>(state: EditableRowWrapperState | ((prevState: Readonly<EditableRowWrapperState>, props: Readonly<EditableRowWrapperProps>) => EditableRowWrapperState | Pick<EditableRowWrapperState, K>) | Pick<EditableRowWrapperState, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<EditableRowWrapperProps>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<EditableRowWrapperProps>, nextState: Readonly<EditableRowWrapperState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<EditableRowWrapperProps>, prevState: Readonly<EditableRowWrapperState>): any;
        componentDidUpdate?(prevProps: Readonly<EditableRowWrapperProps>, prevState: Readonly<EditableRowWrapperState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<EditableRowWrapperProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<EditableRowWrapperProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<EditableRowWrapperProps>, nextState: Readonly<EditableRowWrapperState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<EditableRowWrapperProps>, nextState: Readonly<EditableRowWrapperState>, nextContext: any): void;
    };
    defaultProps: {
        onScroll: () => void;
        onResize: () => void;
    };
    getDerivedStateFromProps: (props: EditableRowWrapperProps) => {
        hasConfirmationButtons: boolean;
    };
    contextType?: React.Context<any>;
};
export {};
//# sourceMappingURL=editableRowWrapper.d.ts.map