const requiredElements = ['INPUT', 'BUTTON'];
let warningCompleted = false;
export const showIdWarnings = (row, target) => {
    if ((row.isEditing || row.isTableEditing) && requiredElements.indexOf(target.tagName) >= 0 && !warningCompleted) {
        warningCompleted = true;
        // eslint-disable-next-line no-console
        console.warn(`${requiredElements.join(', ')} elements are required to have an id for editing to work properly.`);
    }
};
export const shallowLeftSideEquals = (newObject, oldObject) => {
    if (!newObject || !oldObject) {
        return newObject === oldObject;
    }
    return !Object.keys(newObject).find(key => newObject[key] !== oldObject[key]);
};
export const getBoundingClientRect = (element) => {
    const { top, right, bottom, left, width, height, x, y } = element.getBoundingClientRect();
    return { top, right, bottom, left, width, height, x, y };
};
export const getClientWindowDimensions = () => {
    const { clientWidth, clientHeight } = document.documentElement;
    return { width: clientWidth, height: clientHeight };
};
//# sourceMappingURL=utils.js.map