"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfirmButtons = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_styles_1 = require("@patternfly/react-styles");
const CancelButton_1 = require("../CancelButton");
const ConfirmButton_1 = require("../ConfirmButton");
require("@patternfly/react-styles/css/components/Table/inline-edit.css");
const inline_edit_css_1 = require("../InlineEdit/css/inline-edit-css");
const buttonsTopPosition = (window, rowDimensions, bold) => {
    const boldShift = bold ? -1 : 0;
    return {
        bottom: window.height - rowDimensions.top - 1 + boldShift,
        right: window.width - rowDimensions.right + 10
    };
};
const buttonsBottomPosition = (window, rowDimensions, bold) => {
    const boldShift = bold ? -1 : 0;
    return {
        top: rowDimensions.bottom - 1 + boldShift,
        right: window.width - rowDimensions.right + 10
    };
};
const ConfirmButtons = ({ messages: { confirmButtonLabel, cancelButtonLabel } = { confirmButtonLabel: 'Save', cancelButtonLabel: 'Cancel' }, onConfirm = () => { }, onCancel = () => { }, environment, buttonsOnTop = false, boldBorder = false }) => {
    if (environment == null) {
        return null;
    }
    const { window, row } = environment;
    const positionStyle = buttonsOnTop
        ? buttonsTopPosition(window, row, boldBorder)
        : buttonsBottomPosition(window, row, boldBorder);
    const className = (0, react_styles_1.css)(inline_edit_css_1.inlineEditStyles.tableInlineEditButtons, buttonsOnTop ? inline_edit_css_1.inlineEditStyles.modifiers.top : inline_edit_css_1.inlineEditStyles.modifiers.bottom, boldBorder && inline_edit_css_1.inlineEditStyles.modifiers.bold);
    return (React.createElement("div", { style: positionStyle, className: className, key: "confirmButtons" },
        React.createElement(ConfirmButton_1.ConfirmButton, { key: "confirm", "aria-label": confirmButtonLabel, onMouseUp: onConfirm }),
        React.createElement(CancelButton_1.CancelButton, { key: "cancel", "aria-label": cancelButtonLabel, onMouseUp: onCancel })));
};
exports.ConfirmButtons = ConfirmButtons;
//# sourceMappingURL=ConfirmButtons.js.map