"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getClientWindowDimensions = exports.getBoundingClientRect = exports.shallowLeftSideEquals = exports.showIdWarnings = void 0;
const requiredElements = ['INPUT', 'BUTTON'];
let warningCompleted = false;
const showIdWarnings = (row, target) => {
    if ((row.isEditing || row.isTableEditing) && requiredElements.indexOf(target.tagName) >= 0 && !warningCompleted) {
        warningCompleted = true;
        // eslint-disable-next-line no-console
        console.warn(`${requiredElements.join(', ')} elements are required to have an id for editing to work properly.`);
    }
};
exports.showIdWarnings = showIdWarnings;
const shallowLeftSideEquals = (newObject, oldObject) => {
    if (!newObject || !oldObject) {
        return newObject === oldObject;
    }
    return !Object.keys(newObject).find(key => newObject[key] !== oldObject[key]);
};
exports.shallowLeftSideEquals = shallowLeftSideEquals;
const getBoundingClientRect = (element) => {
    const { top, right, bottom, left, width, height, x, y } = element.getBoundingClientRect();
    return { top, right, bottom, left, width, height, x, y };
};
exports.getBoundingClientRect = getBoundingClientRect;
const getClientWindowDimensions = () => {
    const { clientWidth, clientHeight } = document.documentElement;
    return { width: clientWidth, height: clientHeight };
};
exports.getClientWindowDimensions = getClientWindowDimensions;
//# sourceMappingURL=utils.js.map